Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share
Class Executor

    java.lang.Object
      oracle.ifs.share.Executor

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  EventHandlerAgent.EventHandlerExecutor, FdkServiceEventHandler, LifecycleAgent.ProcessingExecutor, LifecycleAgent.SelectingExecutor, TimerExecutor

    public abstract class Executor

extends java.lang.Object
implements java.lang.Runnable

An Executor is an abstract class that is extended by classes that execute tasks in a permanent single thread.

Constructor Summary
`protected` | `Executor()` Constructs an Executor, with a default initial queue size.
`protected` | `Executor(int queueSize)` Constructs an Executor.

Method Summary
`protected void` | `callTask(Task task)` Calls and completes the task.
`protected int` | `getQueueSize()` Gets the current size of the queue.
`protected void` | `handleShutdown()` Handle a shutdown.
`protected void` | `interruptExecutingThread()` Interrupts the current executing thread.
`protected boolean` | `isRequestQueueEmpty()` Checks to see if the request queue is empty.
`void` | `run()` Runs this Executor.
`void` | `shutdown()` Shuts down this service.
`protected void` | `startThread()` Start a Thread that runs this instance.
`void` | `submit(Task task)` Posts a request to this Server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Executor

    protected Executor()

  Constructs an Executor, with a default initial queue size.

### Executor

    protected Executor(int queueSize)

  Constructs an Executor.

  Parameters:
    `queueSize` - initial queue size

Method Detail

### startThread

    protected void startThread()

  Description copied from class: `Executor`
  Start a Thread that runs this instance.

  Invoked in the static accessor in subclasses as the singleton instance is created.

### interruptExecutingThread

    protected void interruptExecutingThread()

  Description copied from class: `Executor`
  Interrupts the current executing thread.

### shutdown

    public void shutdown()

  Description copied from class: `Executor`
  Shuts down this service.

### submit

    public void submit(Task task)

  Description copied from class: `Executor`
  Posts a request to this Server.

  Parameters:
    `task` - the task to be processed by this service

### run

    public void run()

  Description copied from class: `Executor`
  Runs this Executor.

  Specified by:
    `run` in interface `java.lang.Runnable`

### handleShutdown

    protected void handleShutdown()
                           throws java.lang.Exception

  Description copied from class: `Executor`
  Handle a shutdown.

  Throws:
    `java.lang.Exception` - if the operation fails

### isRequestQueueEmpty

    protected boolean isRequestQueueEmpty()

  Description copied from class: `Executor`
  Checks to see if the request queue is empty.

  Returns:
    true if the request queue is empty; false otherwise

### getQueueSize

    protected int getQueueSize()

  Description copied from class: `Executor`
  Gets the current size of the queue.

  Returns:
    the current size of the queue

### callTask

    protected void callTask(Task task)

  Description copied from class: `Executor`
  Calls and completes the task.

  Invokes `call` and `complete` on the task.

  Parameters:
    `task` - the task being executed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD